Package com.sun.jna.platform.win32

# Class BaseTSD.LONG_PTR

java.lang.Object
java.lang.Number
com.sun.jna.IntegerType
com.sun.jna.platform.win32.BaseTSD.LONG_PTR

All Implemented Interfaces:
  `NativeMapped`, `Serializable`

Direct Known Subclasses:
  `BaseTSD.SSIZE_T`, `WinDef.LPARAM`, `WinDef.LRESULT`

Enclosing interface:
  BaseTSD

public static class BaseTSD.LONG_PTR extends IntegerType
Signed long type for pointer precision. Use when casting a pointer to a long to perform pointer arithmetic.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LONG_PTR()`
  `LONG_PTR(long value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Pointer`
  `toPointer()`

  ### Methods inherited from class com.sun.jna.IntegerType

  `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

  ### Methods inherited from class java.lang.Number

  `byteValue, shortValue`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LONG_PTR

    public LONG_PTR()

  - ### LONG_PTR

    public LONG_PTR(long value)

- ## Method Details

  - ### toPointer

    public Pointer toPointer()